## rust-xor-name 5.0.0

=== debian/changelog ===
rust-xor-name (5.0.0-4) unstable; urgency=medium

  * fix autopkgtest command syntax

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Feb 2023 10:40:41 +0100

rust-xor-name (5.0.0-3) unstable; urgency=medium

  * build-depend (not only autopkgtest-depend) on
    packages for crates arrayvec bincode rand;
    closes: bug#1030372, thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Feb 2023 01:47:42 +0100

rust-xor-name (5.0.0-2) unstable; urgency=medium

  * drop patch 2001, obsoleted by Debian package updates
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl
  * update copyright info: update coverage
  * tighten autopkgtests
  * stop superfluously provide virtual unversioned feature packages
  * change binary library package to be arch-independent
  * declare compliance with Debian Policy 4.6.2
  * stop build-depend on cargo libstd-rust-dev rustc,
    not used explicitly

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Feb 2023 11:41:59 +0100

rust-xor-name (5.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * stop overzealously provide versioned virtual packages
  * add virtual packages for new feature serialize-hex;
    bump version for provided virtual packages and autopkgtest hints
  * (build-)depend on
    librust-hex-0.4+default-dev librust-serde-test-1+default-dev
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Aug 2022 11:01:39 +0200

rust-xor-name (4.0.1-3) unstable; urgency=medium

  * simplify rules, using embedded dh-cargo fork
  * set Rules-Requires-Root: no
  * update DEP-3 patch headers
  * update copyright info:
    + update coverage;
      update lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2022 17:55:13 +0200

rust-xor-name (4.0.1-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.1
  * add patch 1001
    to update code to use newer release of crate arrayvec;
    have autopkgtest depend on librust-arrayvec-0.7-dev
    (not librust-arrayvec-0.5-dev)
  * fix install path

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 May 2022 15:25:06 +0200

rust-xor-name (4.0.1-1) unstable; urgency=medium

  * initial packaging release;
    closes: bug#1010257

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Apr 2022 12:45:33 +0200
