=== debian/control ===
Source: rust-xor-name
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo (>= 25),
 librust-arrayvec-0.7-dev <!nocheck>,
 librust-bincode-1+default-dev (>= 1.2.1) <!nocheck>,
 librust-hex-0.4+default-dev <!nocheck>,
 librust-rand-0.8+getrandom-dev (>= 0.8.4) <!nocheck>,
 librust-rand-0.8+small-rng-dev (>= 0.8.4) <!nocheck>,
 librust-rand-0.8+std-dev (>= 0.8.4) <!nocheck>,
 librust-rand-core-0.6+default-dev (>= 0.6.3) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.113) <!nocheck>,
 librust-serde-test-1+default-dev <!nocheck>,
 librust-tiny-keccak-2.0+default-dev <!nocheck>,
 librust-tiny-keccak-2.0+sha3-dev <!nocheck>,
 libstring-shellquote-perl,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-xor-name.git
Vcs-Browser: https://salsa.debian.org/debian/rust-xor-name
Homepage: https://github.com/maidsafe/xor_name
Rules-Requires-Root: no

Package: librust-xor-name-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-hex-0.4+default-dev,
 librust-rand-0.8+std-dev (>= 0.8.4),
 librust-rand-core-0.6+default-dev (>= 0.6.3),
 librust-serde-1+derive-dev (>= 1.0.113),
 librust-serde-test-1+default-dev,
 librust-tiny-keccak-2.0+default-dev,
 librust-tiny-keccak-2.0+sha3-dev,
 ${misc:Depends},
Provides:
 librust-xor-name-5+default-dev (= ${binary:Version}),
 librust-xor-name-5+serialize-hex-dev (= ${binary:Version}),
 librust-xor-name-5-dev (= ${binary:Version}),
 librust-xor-name-5.0-dev (= ${binary:Version}),
 librust-xor-name-5.0.0-dev (= ${binary:Version}),
Description: DHT-optimized array function - Rust source code
 XorName is an array that is useful for calculations in DHT.
 .
 This package contains the source for the Rust xor_name crate,
 packaged for use with cargo and dh-cargo.
