=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test xor_name 5.0.0
 --all-targets --all-features
Features: test-name=rust-xor-name:@
Depends:
 dh-cargo (>= 18),
 librust-arrayvec-0.7-dev,
 librust-bincode-1+default-dev (>= 1.2.1),
 librust-rand-0.8+getrandom-dev (>= 0.8.4),
 librust-rand-0.8+small-rng-dev (>= 0.8.4),
 librust-xor-name-5-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test xor_name 5.0.0
 --all-targets
Features: test-name=rust-xor-name-5:default
Depends:
 dh-cargo (>= 18),
 librust-arrayvec-0.7-dev,
 librust-bincode-1+default-dev (>= 1.2.1),
 librust-rand-0.8+getrandom-dev (>= 0.8.4),
 librust-rand-0.8+small-rng-dev (>= 0.8.4),
 librust-xor-name-5+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test xor_name 5.0.0
 --all-targets --no-default-features
Features: test-name=rust-xor-name-5:
Depends:
 dh-cargo (>= 18),
 librust-arrayvec-0.7-dev,
 librust-bincode-1+default-dev (>= 1.2.1),
 librust-rand-0.8+getrandom-dev (>= 0.8.4),
 librust-rand-0.8+small-rng-dev (>= 0.8.4),
 librust-xor-name-5-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test xor_name 5.0.0
 --all-targets --no-default-features --features serialize-hex
Features: test-name=rust-xor-name-5:serialize-hex
Depends:
 dh-cargo (>= 18),
 librust-arrayvec-0.7-dev,
 librust-bincode-1+default-dev (>= 1.2.1),
 librust-rand-0.8+getrandom-dev (>= 0.8.4),
 librust-rand-0.8+small-rng-dev (>= 0.8.4),
 librust-xor-name-5+serialize-hex-dev,
Restrictions: allow-stderr
